groups:
  - name: ExivityReadinessProbe

    rules:
      - alert: ServiceDown
        expr: "exivity_up == 0"
        for: 10m
        labels:
          severity: critical
        annotations:
          summary: "Service is down (instance {{ $labels.instance }})"
          description: "Service {{ $labels.instance }} is down\n  VALUE = {{ $value }}\n  LABELS = {{ $labels }}"

      - alert: NfsDirNotWritable
        expr: "exivity_nfs_dir_writable == 0"
        for: 10m
        labels:
          severity: critical
          dir: "{{ $labels.dir }}"
        annotations:
          summary: "NFS directory is not writable (dir {{ $labels.dir }})"
          description: "NFS directory {{ $labels.dir }} is not writable\n  VALUE = {{ $value }}\n  LABELS = {{ $labels }}"

      - alert: CommandHealthy
        expr: "exivity_command_healthy == 0"
        for: 10m
        labels:
          severity: critical
          command: "{{ $labels.command }}"
        annotations:
          summary: "Command is not healthy (command {{ $labels.command }})"
          description: "Command {{ $labels.command }} is not healthy\n  VALUE = {{ $value }}\n  LABELS = {{ $labels }}"
